Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel.repository
Class AllocationComponentOperationPairFactory

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
          kieker.tools.traceAnalysis.systemModel.repository.AllocationComponentOperationPairFactory

    public class AllocationComponentOperationPairFactory

extends AbstractSystemSubRepository

Since:
  1.1
Author:
  Andre van Hoorn

Field Summary
`static AllocationComponentOperationPair` | `ROOT_PAIR`

Fields inherited from class kieker.tools.traceAnalysis.systemModel.repository.AbstractSystemSubRepository
`ROOT_ELEMENT_ID`

Constructor Summary
`AllocationComponentOperationPairFactory(SystemModelRepository systemFactory)` Creates a new instance of this class using the given parameters.

Method Summary
`AllocationComponentOperationPair` | `getPairById(int id)` Returns the instance for the passed ID; null if no instance with this ID is available.
`AllocationComponentOperationPair` | `getPairInstanceByPair(AllocationComponent allocationComponent, Operation operation)` Returns a corresponding pair instance (existing or newly created).
`Collection<AllocationComponentOperationPair>` | `getPairs()` Delivers all available allocation-component-operation pairs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_PAIR

    public static final AllocationComponentOperationPair ROOT_PAIR

Constructor Detail

### AllocationComponentOperationPairFactory

    public AllocationComponentOperationPairFactory(SystemModelRepository systemFactory)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `systemFactory` - The repository for this component.

Method Detail

### getPairInstanceByPair

    public final AllocationComponentOperationPair getPairInstanceByPair(AllocationComponent allocationComponent,
                                                                        Operation operation)

  Returns a corresponding pair instance (existing or newly created).

  Parameters:
    `allocationComponent` - The first element of the pair (the allocation component).
    `operation` - The second element of the pair (the operation).
  Returns:
    A (possible new) pair containing both elements.

### getPairById

    public final AllocationComponentOperationPair getPairById(int id)

  Returns the instance for the passed ID; null if no instance with this ID is available.

  Parameters:
    `id` - The ID of the instance in question.
  Returns:
    The corresponding pair to the given ID if it exists, null otherwise.

### getPairs

    public final Collection<AllocationComponentOperationPair> getPairs()

  Delivers all available allocation-component-operation pairs.

  Returns:
    A collection containing all available pairs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net